Page MenuHomePhabricator

Enable PhonosInlineAudioPlayerMode on all projects
Closed, ResolvedPublic2 Estimated Story Points

Description

Phonos' inline audio player mode should be enabled on all projects — to do this, we need to set the following in InitialiseSettings.php:

'wmgUsePhonos' => [
	'default' => true,
],

'wgPhonosInlineAudioPlayerMode' => [
	'default' => true,
],

We should also ensure the InitialiseSettings-labs.php entries still reflect the configuration we want to test on the Beta Cluster.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
TheresNoTime changed the task status from Open to Stalled.May 16 2023, 12:53 PM

Stalling pending discussion on which projects will retain IPA rendering functionality (i.e. have wgPhonosInlineAudioPlayerMode set to false)

I hope this means you're dropping TTS support entirely from the tag. What you should have been developing from the beginning IMHO are an inline player and a tool to easily upload TTS audio to Commons.

Replied on MW wiki because continuing the conversation here would be off-topic.

Change 930008 had a related patch set uploaded (by Samtar; author: Samtar):

[operations/mediawiki-config@master] IS: Enable Phonos on 'small' projects, set PhonosInlineAudioPlayerMode

https://gerrit.wikimedia.org/r/930008

Change 930614 had a related patch set uploaded (by Samtar; author: Samtar):

[operations/mediawiki-config@master] IS: Enable Phonos on test2wiki, set PhonosInlineAudioPlayerMode

https://gerrit.wikimedia.org/r/930614

Change 930617 had a related patch set uploaded (by Samtar; author: Samtar):

[operations/mediawiki-config@master] IS-Labs: Enable Phonos everywhere, set PhonosInlineAudioPlayerMode

https://gerrit.wikimedia.org/r/930617

Change 930617 merged by jenkins-bot:

[operations/mediawiki-config@master] IS-Labs: Enable Phonos everywhere, set PhonosInlineAudioPlayerMode

https://gerrit.wikimedia.org/r/930617

TheresNoTime changed the task status from Stalled to In Progress.Jun 15 2023, 12:44 PM

Change 930008 merged by jenkins-bot:

[operations/mediawiki-config@master] IS: Enable Phonos on 'small' projects, set PhonosInlineAudioPlayerMode

https://gerrit.wikimedia.org/r/930008

Mentioned in SAL (#wikimedia-operations) [2023-06-22T13:02:28Z] <samtar@deploy1002> Started scap: Backport for [[gerrit:930008|IS: Enable Phonos on 'small' projects, set PhonosInlineAudioPlayerMode (T336763)]]

Mentioned in SAL (#wikimedia-operations) [2023-06-22T13:03:55Z] <samtar@deploy1002> samtar: Backport for [[gerrit:930008|IS: Enable Phonos on 'small' projects, set PhonosInlineAudioPlayerMode (T336763)]] synced to the testservers: mwdebug1001.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug1002.eqiad.wmnet, mwdebug2001.codfw.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-06-22T13:11:55Z] <samtar@deploy1002> Finished scap: Backport for [[gerrit:930008|IS: Enable Phonos on 'small' projects, set PhonosInlineAudioPlayerMode (T336763)]] (duration: 09m 26s)

Re: Tech News entry - What wording would you suggest as the content, and when should it be included? Thanks!

Re: Tech News entry - What wording would you suggest as the content, and when should it be included? Thanks!

Sorry @Quiddity! We weren't going to announce this as it's only impacting "small wikis" initially, but I've added a last minute mention.

Question: Should I also link to what "small wikis" means? I'm not sure of a better explanation/list than https://noc.wikimedia.org/conf/highlight.php?file=dblists/small.dblist, which could be a little too technical for tech news?

Re: content: Thanks for the direct edit, appreciated! That small wiki link is good, we included the same link in a recent edition (we need something better, but that's a future-me problem...). I'll add it.
Re: inclusion: Musikanimal had tagged it with User-notice which is (primarily) the workflow for Tech News addition, hence I turned up and asked!
Question: Will it be enabled on mediawiki-wiki by Monday, so that the examples in the user documentation are functional? If not, perhaps the documentation could link to a wiki (testwiki?) page where a working example exists?

Change 930614 abandoned by Samtar:

[operations/mediawiki-config@master] IS: Enable Phonos on test2wiki, set PhonosInlineAudioPlayerMode

Reason:

will recreate/modify

https://gerrit.wikimedia.org/r/930614

Change 934391 had a related patch set uploaded (by Samtar; author: Samtar):

[operations/mediawiki-config@master] IS: Phonos, reorder and enable for mediawikiwiki

https://gerrit.wikimedia.org/r/934391

Change 934391 merged by jenkins-bot:

[operations/mediawiki-config@master] IS: Phonos, reorder and enable for mediawikiwiki

https://gerrit.wikimedia.org/r/934391

Mentioned in SAL (#wikimedia-operations) [2023-06-29T21:10:12Z] <samtar@deploy1002> Started scap: Backport for [[gerrit:934391|IS: Phonos, reorder and enable for mediawikiwiki (T336763)]]

Re: content: Thanks for the direct edit, appreciated! That small wiki link is good, we included the same link in a recent edition (we need something better, but that's a future-me problem...). I'll add it.
Re: inclusion: Musikanimal had tagged it with User-notice which is (primarily) the workflow for Tech News addition, hence I turned up and asked!
Question: Will it be enabled on mediawiki-wiki by Monday, so that the examples in the user documentation are functional? If not, perhaps the documentation could link to a wiki (testwiki?) page where a working example exists?

Deploying to mediawikiwiki now :)

Mentioned in SAL (#wikimedia-operations) [2023-06-29T21:11:40Z] <samtar@deploy1002> samtar: Backport for [[gerrit:934391|IS: Phonos, reorder and enable for mediawikiwiki (T336763)]] synced to the testservers: mwdebug1002.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-06-29T21:18:38Z] <samtar@deploy1002> Finished scap: Backport for [[gerrit:934391|IS: Phonos, reorder and enable for mediawikiwiki (T336763)]] (duration: 08m 26s)

TheresNoTime changed the task status from In Progress to Stalled.Jul 3 2023, 3:00 PM

Stalling as rolled out to small and mediawikiwiki, awaiting feedback and/or to continue

Change 936717 had a related patch set uploaded (by Samtar; author: Samtar):

[operations/mediawiki-config@master] IS: Enable Phonos on medium projects

https://gerrit.wikimedia.org/r/936717

TheresNoTime changed the task status from Stalled to In Progress.Jul 10 2023, 1:51 PM

As stated in the help page talk (https://www.mediawiki.org/wiki/Help_talk:Extension:Phonos), it seems that the usage examples are not working, so the documentation should be changed to reflect what this extension covers and what not. Initially, it was proposed as an IPA rendere (https://meta.wikimedia.org/wiki/Community_Wishlist_Survey_2022/Generate_Audio_for_IPA)r, but this is not possible currently. It doesn't read plain text, either.

Just noting that I've made some changes to that help page as suggested, thank you :-)

@TheresNoTime where are we with this task? Just asking as it came up in RTL. Thanks :)

@TheresNoTime where are we with this task? Just asking as it came up in RTL. Thanks :)

We're waiting for any objections from the notified projects (Language Team CRS)

@TheresNoTime where are we with this task? Just asking as it came up in RTL. Thanks :)

We're waiting for any objections from the notified projects (Language Team CRS)

@TheresNoTime, there are no objections for now. However, we will wait for two weeks before going ahead with the enablements in these wikis. Thank you!

Change 936717 merged by jenkins-bot:

[operations/mediawiki-config@master] IS: Enable Phonos on medium projects

https://gerrit.wikimedia.org/r/936717

Mentioned in SAL (#wikimedia-operations) [2023-08-10T13:22:45Z] <samtar@deploy1002> Started scap: Backport for [[gerrit:936717|IS: Enable Phonos on medium projects (T336763)]]

Mentioned in SAL (#wikimedia-operations) [2023-08-10T13:24:18Z] <samtar@deploy1002> samtar: Backport for [[gerrit:936717|IS: Enable Phonos on medium projects (T336763)]] synced to the testservers mwdebug1001.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug2001.codfw.wmnet, mwdebug1002.eqiad.wmnet, and mw-debug kubernetes deployment (accessible via k8s-experimental XWD option)

Mentioned in SAL (#wikimedia-operations) [2023-08-10T13:33:43Z] <samtar@deploy1002> Finished scap: Backport for [[gerrit:936717|IS: Enable Phonos on medium projects (T336763)]] (duration: 10m 58s)

Change 951042 had a related patch set uploaded (by Samtar; author: Samtar):

[operations/mediawiki-config@master] IS: Enable Phonos on all projects

https://gerrit.wikimedia.org/r/951042

Change 951042 merged by jenkins-bot:

[operations/mediawiki-config@master] IS: Enable Phonos on all projects

https://gerrit.wikimedia.org/r/951042

Mentioned in SAL (#wikimedia-operations) [2023-08-30T13:06:25Z] <samtar@deploy1002> Started scap: Backport for [[gerrit:951042|IS: Enable Phonos on all projects (T336763)]]

Mentioned in SAL (#wikimedia-operations) [2023-08-30T13:08:56Z] <samtar@deploy1002> samtar: Backport for [[gerrit:951042|IS: Enable Phonos on all projects (T336763)]] synced to the testservers mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet, mwdebug2002.codfw.wmnet, mwdebug1002.eqiad.wmnet, and mw-debug kubernetes deployment (accessible via k8s-experimental XWD option)

Mentioned in SAL (#wikimedia-operations) [2023-08-30T13:15:54Z] <samtar@deploy1002> Finished scap: Backport for [[gerrit:951042|IS: Enable Phonos on all projects (T336763)]] (duration: 09m 29s)

Bit confused on the last announcement, is this supposed to be working?

Compare this working page on testwiki with this one that doesnt work on metawiki:

image.png (123×356 px, 12 KB)

Bit confused on the last announcement, is this supposed to be working?

Compare this working page on testwiki with this one that doesnt work on metawiki:

As the error states, we only deployed inline player mode, which only supports the file= or wikibase= attributes and does not parse IPA. IPA support is still coming but we need our own engine instead of a third party one (T317274). For this we've handed the project over to the Language-Team. More info at https://meta.wikimedia.org/wiki/Community_Wishlist_Survey_2022/Generate_Audio_for_IPA#June_2023_Update:_IPA_transition_to_Language_Team

TheresNoTime changed the task status from In Progress to Stalled.Tue, Sep 12, 10:06 AM

Stalling on T345414: Enabling Phonos on all projects increased JavaScript and CSS size, Phonos should not use OOUI on page load, inline audio player is deployed everywhere, but we may need to revert/change the deployment to resolve T345414

T345414 has been resolved and Phonos is here to stay :)